JavaScript/jQuery Sankey - size
Type:
viz/core/base_widget:BaseWidgetSize
Default Value: {height: 400, width: 400}
You can specify a custom width and height for the component:
Fixed | Relative |
---|---|
Assign values to the size object's height and width properties or specify a container for the component. | Specify a container for the component. The component occupies the container area. |
NOTE
The size object has priority over the container.
Assign 0 to the size object's height and width properties to hide the component.
index.js
- $(function() {
- $("#sankeyContainer").dxSankey({
- // ...
- size: {
- height: 300,
- width: 600
- }
- });
- });
Alternatively, you can use CSS to style the UI component's container:
index.js
styles.css
- $(function() {
- $("#sankey").dxSankey({
- // ...
- });
- });
- #sankey {
- width: 85%;
- height: 70%;
- }
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue Sankey - size
Selector: DxSize
Type:
viz/core/base_widget:BaseWidgetSize
Default Value: {height: 400, width: 400}
You can specify a custom width and height for the component:
Fixed | Relative |
---|---|
Assign values to the size object's height and width properties or specify a container for the component. | Specify a container for the component. The component occupies the container area. |
NOTE
The size object has priority over the container.
Assign 0 to the size object's height and width properties to hide the component.
App.vue
- <template>
- <DxSankey ... >
- <DxSize
- :height="300"
- :width="600"
- />
- </DxSankey>
- </template>
- <script>
- import DxSankey, {
- DxSize
- } from 'devextreme-vue/sankey';
- export default {
- components: {
- DxSankey,
- DxSize
- },
- // ...
- }
- </script>
Alternatively, you can use CSS to style the UI component's container:
App.vue
- <template>
- <DxSankey ...
- id="sankey">
- </DxSankey>
- </template>
- <script>
- import DxSankey from 'devextreme-vue/sankey';
- export default {
- components: {
- DxSankey
- },
- // ...
- }
- </script>
- <style>
- #sankey {
- width: 85%;
- height: 70%;
- }
- </style>
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Sankey - size
Selector: Size
Type:
viz/core/base_widget:BaseWidgetSize
Default Value: {height: 400, width: 400}
You can specify a custom width and height for the component:
Fixed | Relative |
---|---|
Assign values to the size object's height and width properties or specify a container for the component. | Specify a container for the component. The component occupies the container area. |
NOTE
The size object has priority over the container.
Assign 0 to the size object's height and width properties to hide the component.
App.js
- import React from 'react';
- import Sankey, {
- Size
- } from 'devextreme-react/sankey';
- class App extends React.Component {
- render() {
- return (
- <Sankey ... >
- <Size
- height={300}
- width={600}
- />
- </Sankey>
- );
- }
- }
- export default App;
Alternatively, you can use CSS to style the UI component's container:
App.js
styles.css
- import React from 'react';
- import Sankey from 'devextreme-react/sankey';
- class App extends React.Component {
- render() {
- return (
- <Sankey ...
- id="sankey">
- </Sankey>
- );
- }
- }
- export default App;
- #sankey {
- width: 85%;
- height: 70%;
- }
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.